datablock ItemData(PocketJeepItem)
{
	category = "Item";  // Mission editor category

	equipment = true;

	shapeFile = "./pocketjeep.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	//gui stuff
	uiName = "Pocket Jeep";
	
	 // Dynamic properties defined by the scripts
	image = PocketJeepImage;
	canDrop = true;
};

////////////////
//weapon image//
////////////////
datablock ShapeBaseImageData(PocketJeepImage)
{
   // Basic Item properties
   shapeFile = "./pocketjeep.dts";
   emap = true;

   mountPoint = 0;
   offset = "0 0 0";
   rotation = eulerToMatrix("0 0 0");
   eyeOffset = "0";
   eyeRotation = eulerToMatrix("0 0 0");
   correctMuzzleVector = false;

   className = "WeaponImage";

   // Projectile && Ammo.
   item = PocketJeepItem;

   //melee particles shoot from eye node for consistancy
   melee = true;
   //raise your arm up or not
   bothArmsReady = true;

   // Initial start up state
	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.5;
	stateTransitionOnTimeout[0]       = "Ready";

	stateName[1]                     = "Ready";
	stateTransitionOnTriggerDown[1]  = "Fire";
	stateAllowImageChange[1]         = true;

	stateName[2]                    = "Fire";
	stateTransitionOnTriggerUp[2]	= "Ready";
	stateScript[2]                  = "onFire";
};

function  PocketJeepImage::onFire(%this, %obj, %slot)
{
	%player = %obj;

	if(%player.isMounted())
	{
		%mountedVehicleName = %player.getObjectMount().getDataBlock().getName();
		
		if(%mountedVehicleName !$= "JeepVehicle")
		{	
			commandToClient(%player.client, 'CenterPrint', "\c4NOPE", 2);
			return;
		}
		else
		{
			%player.stopSkiing();
			%player.unMount();
			
		}
	}
	else
	{
			%player.pocketjeep();
			commandToClient(%player.client,'setScrollMode', -1);

			%player.unMountimage(%slot);
	}
}
function PocketJeepItem::onUse(%this, %player, %InvPosition)
{

	%playerData = %player.getDataBlock();
	%client = %player.client;

	if(%player.getObjectMount())
		%mountedVehicleName = %player.getObjectMount().getDataBlock().getName();
		
		%player.updateArm(PocketJeepImage);
		%player.MountImage(PocketJeepImage, 0);

	return;

	if(%player.isMounted())
	{
		%mountedVehicleName = %player.getObjectMount().getDataBlock().getName();
		
		if(%mountedVehicleName !$= "JeepVehicle")
		{	
			messageClient(%player.client, 'Clientmsg', 'NOPE');
			return;
		}
		else
		{
			//we're mounted on a skiVehicle, so stop skiing
			%player.stopSkiing();
		}
	}
	else
	{
			%player.pocketjeep();
			messageClient(%player.client, 'MsgEquipInv', '', %InvPosition);
			%player.isEquiped[%invPosition] = true;
	}
}


function Player::pocketjeep(%obj)
{	
	//make a new ski vehicle and mount the player on it
	%client = %obj.client;
	%position = %obj.getTransform();
	%posX = getword(%position, 0);
	%posY = getword(%position, 1);
	%posZ = getword(%position, 2);
	%rot = getWords(%position, 3, 8);

	%posZ += 0.3;
	%client.isJeeping = 1;
	//%vehicle.setNodeColor(<node or "ALL">, getColorTableId(%client.colorVar));

	%vel = %obj.getVelocity();

	%newcar = new WheeledVehicle() 
	{
		dataBlock = Jeepvehicle;
		client = %client;
		initialPosition = %posX @ " " @ %posY @ " " @ %posZ;
		isPocket = 1;
	};
   MissionCleanup.add(%newcar);

	%color = getColorIDTable(%client.currentColor);

	%newcar.setVelocity(%vel);
	%newcar.setTransform(%posX @ " " @ %posY @ " " @ %posZ @ " " @ %rot);
	%newcar.schedule(1, mountObject, %obj, 0);
	%newcar.setNodeColor("ALL", %color);

}

function JeepVehicle::onDriverLeave(%this, %obj, %player)
{

	if(isObject(%player) && %player.client.isJeeping == 1 && %obj.isPocket == 1)
		%player.stopSkiing();

	if(%player.client.isJeeping == 1 && %obj.isPocket == 1){
	%obj.setTransform("0 0 -9999");
	%obj.schedule(10, delete);}
	Parent::onDriverLeave(%this,%obj,%player);
}


function JeepVehicle::onUnMount(%this, %obj)
{
	if(%obj.client.isJeeping == 1 && %obj.isPocket == 1)
		%obj.delete();
	Parent::onUnMount(%this,%obj);
}



